Page MenuHomePhabricator

No-js users cannot un-collapse moderated posts
Closed, ResolvedPublic

Description


Version: unspecified
Severity: enhancement

Details

Reference
bz60627

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:57 AM
bzimport set Reference to bz60627.
bzimport added a subscriber: Unknown Object (MLST).

topics should be fine, they no longer display on the main list and are not collapsed on their Topic page. Posts still a problem.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:38 AM

Change 281273 had a related patch set uploaded (by Catrope):
Don't hide collapsed topics in no-JS mode

https://gerrit.wikimedia.org/r/281273

Catrope added a subscriber: Catrope.Apr 3 2016, 9:33 AM

topics should be fine, they no longer display on the main list and are not collapsed on their Topic page. Posts still a problem.

I think this was a typo: hidden posts are not displayed, even in JS mode, and resolved topics are still a problem. The attached patch fixes resolved topics.

SBisson assigned this task to Catrope.Apr 7 2016, 12:33 PM
SBisson moved this task from Needs Review to QA Review on the Collab-Team-2016-Apr-Jun-Q4 board.

Checked in betalabs - for no-js mode Resolved topics do not collapse comments.

jmatazzoni closed this task as Resolved.Apr 11 2016, 11:07 PM